Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Interface AutotuneController

All Known Implementing Classes:
  BaseAutotuneController, BasicNeuralAutotuneController, Neural2WayLoadBalanceController

public interface AutotuneController

The AutotuneController interface defines an AbleBean that plays the role of a controller in an Autotune Agent.

Method Summary
`void` | `computeControlActions()` Compute the control actions for the target system or application.
`void` | `computeErrors()` Compute the differences between actual and desired service levels for one or more service level metrics.
`void` | `setAdaptor(AutotuneAdaptor adaptor)` Set the active Adaptor.
`void` | `setControlActions()` Set the control actions of the target system or application.

Method Detail

### computeErrors

    public void computeErrors()
                       throws AbleException

  Compute the differences between actual and desired service levels for one or more service level metrics.

  Throws:
    `AbleException`

### computeControlActions

    public void computeControlActions()
                               throws AbleException

  Compute the control actions for the target system or application. Note: this sets the values in the active TuningControlMetrics.

  Throws:
    `AbleException`

### setControlActions

    public void setControlActions()
                           throws AbleException

  Set the control actions of the target system or application.

  Throws:
    `AbleException`

### setAdaptor

    public void setAdaptor(AutotuneAdaptor adaptor)
                    throws AbleException

  Set the active Adaptor.

  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005